keys: &all
  - &op_noe age1lq5q5g5qjsdcc3key0n6qytkc9z3qx3d3e96ap9zre2aqgvc9ujq82l9hd
  - &op_noe_2 age1p0f62dwatt558sf5s4equdqwtg5m7lsnaytrf3xjnvmx3e0lqu4svtugyp
  - &op_noe_3 age13c5wv623jxjja5mjz7fajg9qqwvypzgsfqrs4tmk7rpgyzu7aufs4ul9f9
  - &m_work-mac age14vsmekuppm4xhp4rthhv9jjgzfv45v39a0q8dsgg6yusw0pjkvaqnr9kq8
  - &m_cider age1kjsga2kf95lu7p5stqr5d9p87jquyypnx97cycj6jvhsm9zkn93quexx4r
  - &m_aerial age1jc6ghxfgxe3gx53xa55azxan447cfxaqfqeh5y5yzqapj7mw7ajql8kv02
  - &m_drone age1faccfe85637hme39xyzgmvjn6ku9c4aapfmpfc35hswj5emhnedssrg2cq
  - &m_keylime age1wc3czlazkfxphsq6exxxkdpma4lrv7n3v3fvel9l5u96dlljn4fslh666p
  - &m_ps2live age18net4rsvyx84d9jjh64rgqsru3njwc438qt3993kn865dx9weaqq0rzkrh
  - &m_ingress-proxy age1mc6eyvnqt4ztmqdzt08zaher2ts37ypgzuh049v3cgv9j0rje96q5rm56k
  - &m_monitoring age1h7yp3psl5zyze8sl6lld6ksv6fcmul9z8mjwc4k78mwnys58c3ls9mgfdx
  - &m_porcelain-doll-repair age1qy9tvzlgek7fq4nl52e05ad6pyvglrtaxwjet9gr0fzq85z7cv9s6uxzkt
  - &m_sapphic-engineer age1kh4c0dmn809xzcf7ntpjm26h2xh4ljaq09r9n5s0tsjjpr55ff3qqmkuca
  - &m_git age1h9ty40uxgznh7s2d7l3cx74lkylpgvs8lknkvkjvqyy5kn5kfc8qz0zc4c
  - &m_ts3 age12f24j7fcq46cjuqjftv5pyffpunyhqj98ypqf729z89xzunzryts5d8kl0
  - &m_pihole age1jc4a52cukf6d94tt2meq8tnt084rhtdd93hwzjhzecc70rmvvapqtdng8v
  - &m_static-sites age1s4hzwj982zk04kr7c5u0vlemkzalv72wtkttkgzt64xv8a4r25zqxra6u0
  - &m_mumble age14cnx8ttzqndcsdz4xvmx07cvms6val5aanrf9qsg4j888hudufxqz9nm5p
  - &m_jitsi age1cc80558u3f8pdwrmhev8264c0h9dkkm59sy40j7zms97qzxg0ffqza9en0
  - &m_dis-sociat-ing age1nsuxsnf64mcfgnggy5ehuqk3egp0rea3ldzst0f66full7ap7ews5eg46s
  - &m_exit-node age13xddcc3njv29sxzfdx2rjctaejhsxr5rephruga7vjrvjclcapuqnwx52t
  - &m_plex age16jzuvkchnm53wfl4q0yg93zmg7jmj6rpud79sa6wuljved74hd6qvlw66w
  - &m_nextcloud age198c9udn09u87zje4ctz4j8d2k5ey5kvgl34nfn573e9csx9mcs3q7a6q2u
  - &m_nas0 age1d6uwrdv48q7hx0nthzxwz2vw3j47eawwkya7cp6sd4fwmhu84fcqa77rtr
  - &m_seedbox age1y8mjr0q04zy9qj8vvx6f9lcpptg6fenvw7mtdlyw6glnpyack95qcfxada
  - &m_retrobox age14cwxzd33sqstmfx65zys7at963ug9wumgfyc2ctwatvr3rygzs3sk9nqtj
  - &m_unicorn age1438lvn7gh4he0rnj0xnvnx56l97mpz0vsv3wktj8utk65kqs8ycqftcxze

creation_rules:
  - path_regex: secrets/[^/]+\.(yaml|json|env|ini)$
    key_groups:
      - age: *all
  - path_regex: secrets/work-mac/[^/]+\.(yaml|json|env|ini)$
    key_groups:
      - age:
          - *op_noe
          - *op_noe_2
          - *op_noe_3
          - *m_work-mac
  - path_regex: secrets/cider/[^/]+\.(yaml|json|env|ini)$
    key_groups:
      - age:
          - *op_noe
          - *op_noe_2
          - *op_noe_3
          - *m_cider
  - path_regex: secrets/aerial/[^/]+\.(yaml|json|env|ini)$
    key_groups:
      - age:
          - *op_noe
          - *op_noe_2
          - *op_noe_3
          - *m_aerial
  - path_regex: secrets/drone/[^/]+\.(yaml|json|env|ini)$
    key_groups:
      - age:
          - *op_noe
          - *op_noe_2
          - *op_noe_3
          - *m_drone
  - path_regex: secrets/keylime/[^/]+\.(yaml|json|env|ini)$
    key_groups:
      - age:
          - *op_noe
          - *op_noe_2
          - *op_noe_3
          - *m_keylime
  - path_regex: secrets/ps2live/[^/]+\.(yaml|json|env|ini)$
    key_groups:
      - age:
          - *op_noe
          - *op_noe_2
          - *op_noe_3
          - *m_ps2live
  - path_regex: secrets/ingress-proxy/[^/]+\.(yaml|json|env|ini)$
    key_groups:
      - age:
          - *op_noe
          - *op_noe_2
          - *op_noe_3
          - *m_ingress-proxy
  - path_regex: secrets/monitoring/[^/]+\.(yaml|json|env|ini)$
    key_groups:
      - age:
          - *op_noe
          - *op_noe_2
          - *op_noe_3
          - *m_monitoring
  - path_regex: secrets/porcelain-doll-repair/[^/]+\.(yaml|json|env|ini)$
    key_groups:
      - age:
          - *op_noe
          - *op_noe_2
          - *op_noe_3
          - *m_porcelain-doll-repair
  - path_regex: secrets/sapphic-engineer/[^/]+\.(yaml|json|env|ini)$
    key_groups:
      - age:
          - *op_noe
          - *op_noe_2
          - *op_noe_3
          - *m_sapphic-engineer
  - path_regex: secrets/git/[^/]+\.(yaml|json|env|ini)$
    key_groups:
      - age:
          - *op_noe
          - *op_noe_2
          - *op_noe_3
          - *m_git
  - path_regex: secrets/ts3/[^/]+\.(yaml|json|env|ini)$
    key_groups:
      - age:
          - *op_noe
          - *op_noe_2
          - *op_noe_3
          - *m_ts3
  - path_regex: secrets/pihole/[^/]+\.(yaml|json|env|ini)$
    key_groups:
      - age:
          - *op_noe
          - *op_noe_2
          - *op_noe_3
          - *m_pihole
  - path_regex: secrets/static-sites/[^/]+\.(yaml|json|env|ini)$
    key_groups:
      - age:
          - *op_noe
          - *op_noe_2
          - *op_noe_3
          - *m_static-sites
  - path_regex: secrets/mumble/[^/]+\.(yaml|json|env|ini)$
    key_groups:
      - age:
          - *op_noe
          - *op_noe_2
          - *op_noe_3
          - *m_mumble
  - path_regex: secrets/jitsi/[^/]+\.(yaml|json|env|ini)$
    key_groups:
      - age:
          - *op_noe
          - *op_noe_2
          - *op_noe_3
          - *m_jitsi
  - path_regex: secrets/dis-sociat-ing/[^/]+\.(yaml|json|env|ini)$
    key_groups:
      - age:
          - *op_noe
          - *op_noe_2
          - *op_noe_3
          - *m_dis-sociat-ing
  - path_regex: secrets/exit-node/[^/]+\.(yaml|json|env|ini)$
    key_groups:
      - age:
          - *op_noe
          - *op_noe_2
          - *op_noe_3
          - *m_exit-node
  - path_regex: secrets/plex/[^/]+\.(yaml|json|env|ini)$
    key_groups:
      - age:
          - *op_noe
          - *op_noe_2
          - *op_noe_3
          - *m_plex
  - path_regex: secrets/nextcloud/[^/]+\.(yaml|json|env|ini)$
    key_groups:
      - age:
          - *op_noe
          - *op_noe_2
          - *op_noe_3
          - *m_nextcloud
  - path_regex: secrets/nas0/[^/]+\.(yaml|json|env|ini)$
    key_groups:
      - age:
          - *op_noe
          - *op_noe_2
          - *op_noe_3
          - *m_nas0
  - path_regex: secrets/seedbox/[^/]+\.(yaml|json|env|ini)$
    key_groups:
      - age:
          - *op_noe
          - *op_noe_2
          - *op_noe_3
          - *m_seedbox
  - path_regex: secrets/retrobox/[^/]+\.(yaml|json|env|ini)$
    key_groups:
      - age:
          - *op_noe
          - *op_noe_2
          - *op_noe_3
          - *m_retrobox
  - path_regex: secrets/unicorn/[^/]+\.(yaml|json|env|ini)$
    key_groups:
      - age:
          - *op_noe
          - *op_noe_2
          - *op_noe_3
          - *m_unicorn
